View Issue Details

IDProjectCategoryView StatusLast Update
0003303ScribusImport / Exportpublic2006-09-29 23:13
Reporterjo-hannes Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSwinOS Version
Product Version1.3.3.1 
Target VersionFixed in Version1.3.3.4cvs 
Summary0003303: Import Inkscape SVG produces wrong output in Scribus
DescriptionSee the inkscape screenshot and the svg file in Scribus.
TagsNo tags attached.
Patch

Relationships

related to 0003304 closedavox Import Inkscape EPS produces wrong output in Scribus 
child of 0002931 acknowledged Metabug: SVG 

Activities

2006-02-28 22:34

 

svg_1.png (42,199 bytes)
svg_1.png (42,199 bytes)

2006-02-28 22:35

 

open house2.svg (18,691 bytes)

jo-hannes

2006-03-05 19:43

developer   ~0009067

avox, you added the non zero fill. so this is also solved i think. but two notes:

- applying non zero fill to a groups changes only the object i clicked on, not the whole group
- can scribus detect which fill method is needed and choose the right fill method?

jo-hannes

2006-03-05 19:44

developer   ~0009068

Reminder sent to: avox

avox, see above.

avox

2006-03-15 00:19

administrator   ~0009284

Respect fillrule for paths, polygons and polylines

jo-hannes

2006-03-15 22:06

developer   ~0009307

Last edited: 2006-03-15 22:20

does not work with my sample file here. still looks like before. when manually apply fillrule it works

avox

2006-03-21 18:58

administrator   ~0009412

What's the status of this one for Windows/Linux?

Works ok on Mac, MrB reported that one shape still gets filled with the wrong fill rule, other shapes are ok.

cbradney

2006-03-21 19:43

administrator   ~0009413

Work with file import with no doc open..

plinnell

2006-03-25 20:27

viewer   ~0009477

Last edited: 2006-03-25 20:39

Works fine with file open and no doc open, but importing into existing doc had the fill issue like before. Tested on 23 Mar build Win32. See 3303.png

2006-03-25 20:32

 

3303.png (71,791 bytes)
3303.png (71,791 bytes)

mhanski

2006-04-20 10:51

developer   ~0010167

tested with 1.3.3.1 on windows 2000:

-- importing with no doc open works fine
-- importing with an opened doc still not OK

jghali

2006-09-24 23:55

administrator   ~0012608

importing in an opened doc should be ok now

Issue History

Date Modified Username Field Change
2006-02-28 22:34 jo-hannes New Issue
2006-02-28 22:34 jo-hannes File Added: svg_1.png
2006-02-28 22:34 jo-hannes Issue cloned: 0003304
2006-02-28 22:34 jo-hannes Relationship added related to 0003304
2006-02-28 22:35 jo-hannes File Added: open house2.svg
2006-02-28 22:35 jo-hannes Relationship added parent of 0002931
2006-02-28 22:38 plinnell Status new => confirmed
2006-03-05 19:43 jo-hannes Note Added: 0009067
2006-03-05 19:44 jo-hannes Note Added: 0009068
2006-03-07 16:35 avox Status confirmed => assigned
2006-03-07 16:35 avox Assigned To => avox
2006-03-15 00:19 avox Status assigned => resolved
2006-03-15 00:19 avox Fixed in Version => 1.3.3cvs
2006-03-15 00:19 avox Resolution open => fixed
2006-03-15 00:19 avox Note Added: 0009284
2006-03-15 22:06 jo-hannes Status resolved => feedback
2006-03-15 22:06 jo-hannes Resolution fixed => reopened
2006-03-15 22:06 jo-hannes Note Added: 0009307
2006-03-15 22:20 jo-hannes Note Edited: 0009307
2006-03-21 18:58 avox Note Added: 0009412
2006-03-21 19:43 cbradney Note Added: 0009413
2006-03-22 20:29 avox Assigned To avox =>
2006-03-25 20:27 plinnell Note Added: 0009477
2006-03-25 20:28 plinnell Note Edited: 0009477
2006-03-25 20:32 plinnell File Added: 3303.png
2006-03-25 20:39 plinnell Note Edited: 0009477
2006-04-20 10:51 mhanski Note Added: 0010167
2006-04-20 10:51 mhanski Status feedback => confirmed
2006-04-20 10:51 mhanski Product Version 1.3.3cvs => 1.3.3.1
2006-04-20 10:53 mhanski Severity minor => major
2006-05-17 18:27 christoph_s Relationship deleted parent of 0002931
2006-05-17 18:35 christoph_s Relationship added child of 0002931
2006-09-24 23:54 jghali Status confirmed => assigned
2006-09-24 23:54 jghali Assigned To => jghali
2006-09-24 23:55 jghali Status assigned => resolved
2006-09-24 23:55 jghali Fixed in Version 1.3.3cvs => 1.3.3.4cvs
2006-09-24 23:55 jghali Resolution reopened => fixed
2006-09-24 23:55 jghali Note Added: 0012608
2006-09-29 23:13 plinnell Status resolved => closed